import request from '@/utils/request'
import baseURL from '@/api/global_variable'

// 接入服务 页面数据：
export function getAccessData(transaction_order_number, page, size) {
  return request({
    url: baseURL + '/log/search/v1/yxinfo',
    method: 'get',
    params: {
      transaction_order_number: transaction_order_number,
      page: page,
      size: size
    }
  })
}
// 核心业务 页面数据:
export function getCoreData(transaction_order_number, page, size) {
  return request({
    url: baseURL + '/log/search/v1/hxyw',
    method: 'get',
    params: {
      transaction_order_number: transaction_order_number,
      page: page,
      size: size
    }
  })
}

// 云从业务 页面数据：
export function getOceanData(transaction_order_number, page, size) {
  return request({
    url: baseURL + '/log/search/v1/ocean',
    method: 'get',
    params: {
      transaction_order_number: transaction_order_number,
      page: page,
      size: size
    }
  })
}
// 核心业务 页面数据:
export function getMultiAlgoData(transaction_order_number, page, size) {
  return request({
    url: baseURL + '/log/search/v1/multiAlgo',
    method: 'get',
    params: {
      transaction_order_number: transaction_order_number,
      page: page,
      size: size
    }
  })
}
//日志筛选
export function logsearchfilter(gte,lte, page, size,code,appid) {
  return request({
    url: baseURL + '/log/search/v1/filter',
    method: 'get',
    params: {
      code: appid,
      page: page,
      size: size,
      appid:code,
      gte:gte,
      lte:lte
    }
  })
}
//自定义库(修改url)
export function customLog(transaction_order_number, page, size) {
  return request({
    url: baseURL + '/log/search/v1/ocean',
    method: 'get',
    params: {
      transaction_order_number: transaction_order_number,
      page: page,
      size: size
    }
  })
}
//商城算法（修改url）
export function shoppingLog(transaction_order_number, page, size) {
  return request({
    url: baseURL + '/log/search/v1/ocean',
    method: 'get',
    params: {
      transaction_order_number: transaction_order_number,
      page: page,
      size: size
    }
  })
}
